Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network196.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
196.64.0.0
Broadcast address
196.127.255.255
First usable
196.64.0.1
Last usable
196.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
C (default /24)
As numbers
Hex C4400000 · Integer 3292528640 to 3296722943
Reverse DNS zones
64.196.in-addr.arpa
65.196.in-addr.arpa
66.196.in-addr.arpa
67.196.in-addr.arpa
68.196.in-addr.arpa
69.196.in-addr.arpa
70.196.in-addr.arpa
71.196.in-addr.arpa
72.196.in-addr.arpa
73.196.in-addr.arpa
74.196.in-addr.arpa
75.196.in-addr.arpa
76.196.in-addr.arpa
77.196.in-addr.arpa
78.196.in-addr.arpa
79.196.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000100.01000000.00000000.00000000196.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11000100.01000000.00000000.00000000196.64.0.0
Broadcast11000100.01111111.11111111.11111111196.127.255.255
Split into smaller subnets/17

196.64.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1196.64.0.0/17196.64.0.1 to 196.64.127.254196.64.127.25532,766
2196.64.128.0/17196.64.128.1 to 196.64.255.254196.64.255.25532,766
3196.65.0.0/17196.65.0.1 to 196.65.127.254196.65.127.25532,766
4196.65.128.0/17196.65.128.1 to 196.65.255.254196.65.255.25532,766
5196.66.0.0/17196.66.0.1 to 196.66.127.254196.66.127.25532,766
6196.66.128.0/17196.66.128.1 to 196.66.255.254196.66.255.25532,766
7196.67.0.0/17196.67.0.1 to 196.67.127.254196.67.127.25532,766
8196.67.128.0/17196.67.128.1 to 196.67.255.254196.67.255.25532,766
9196.68.0.0/17196.68.0.1 to 196.68.127.254196.68.127.25532,766
10196.68.128.0/17196.68.128.1 to 196.68.255.254196.68.255.25532,766
11196.69.0.0/17196.69.0.1 to 196.69.127.254196.69.127.25532,766
12196.69.128.0/17196.69.128.1 to 196.69.255.254196.69.255.25532,766
13196.70.0.0/17196.70.0.1 to 196.70.127.254196.70.127.25532,766
14196.70.128.0/17196.70.128.1 to 196.70.255.254196.70.255.25532,766
15196.71.0.0/17196.71.0.1 to 196.71.127.254196.71.127.25532,766
16196.71.128.0/17196.71.128.1 to 196.71.255.254196.71.255.25532,766
17196.72.0.0/17196.72.0.1 to 196.72.127.254196.72.127.25532,766
18196.72.128.0/17196.72.128.1 to 196.72.255.254196.72.255.25532,766
19196.73.0.0/17196.73.0.1 to 196.73.127.254196.73.127.25532,766
20196.73.128.0/17196.73.128.1 to 196.73.255.254196.73.255.25532,766
21196.74.0.0/17196.74.0.1 to 196.74.127.254196.74.127.25532,766
22196.74.128.0/17196.74.128.1 to 196.74.255.254196.74.255.25532,766
23196.75.0.0/17196.75.0.1 to 196.75.127.254196.75.127.25532,766
24196.75.128.0/17196.75.128.1 to 196.75.255.254196.75.255.25532,766
25196.76.0.0/17196.76.0.1 to 196.76.127.254196.76.127.25532,766
26196.76.128.0/17196.76.128.1 to 196.76.255.254196.76.255.25532,766
27196.77.0.0/17196.77.0.1 to 196.77.127.254196.77.127.25532,766
28196.77.128.0/17196.77.128.1 to 196.77.255.254196.77.255.25532,766
29196.78.0.0/17196.78.0.1 to 196.78.127.254196.78.127.25532,766
30196.78.128.0/17196.78.128.1 to 196.78.255.254196.78.255.25532,766
31196.79.0.0/17196.79.0.1 to 196.79.127.254196.79.127.25532,766
32196.79.128.0/17196.79.128.1 to 196.79.255.254196.79.255.25532,766
33196.80.0.0/17196.80.0.1 to 196.80.127.254196.80.127.25532,766
34196.80.128.0/17196.80.128.1 to 196.80.255.254196.80.255.25532,766
35196.81.0.0/17196.81.0.1 to 196.81.127.254196.81.127.25532,766
36196.81.128.0/17196.81.128.1 to 196.81.255.254196.81.255.25532,766
37196.82.0.0/17196.82.0.1 to 196.82.127.254196.82.127.25532,766
38196.82.128.0/17196.82.128.1 to 196.82.255.254196.82.255.25532,766
39196.83.0.0/17196.83.0.1 to 196.83.127.254196.83.127.25532,766
40196.83.128.0/17196.83.128.1 to 196.83.255.254196.83.255.25532,766
41196.84.0.0/17196.84.0.1 to 196.84.127.254196.84.127.25532,766
42196.84.128.0/17196.84.128.1 to 196.84.255.254196.84.255.25532,766
43196.85.0.0/17196.85.0.1 to 196.85.127.254196.85.127.25532,766
44196.85.128.0/17196.85.128.1 to 196.85.255.254196.85.255.25532,766
45196.86.0.0/17196.86.0.1 to 196.86.127.254196.86.127.25532,766
46196.86.128.0/17196.86.128.1 to 196.86.255.254196.86.255.25532,766
47196.87.0.0/17196.87.0.1 to 196.87.127.254196.87.127.25532,766
48196.87.128.0/17196.87.128.1 to 196.87.255.254196.87.255.25532,766
49196.88.0.0/17196.88.0.1 to 196.88.127.254196.88.127.25532,766
50196.88.128.0/17196.88.128.1 to 196.88.255.254196.88.255.25532,766
51196.89.0.0/17196.89.0.1 to 196.89.127.254196.89.127.25532,766
52196.89.128.0/17196.89.128.1 to 196.89.255.254196.89.255.25532,766
53196.90.0.0/17196.90.0.1 to 196.90.127.254196.90.127.25532,766
54196.90.128.0/17196.90.128.1 to 196.90.255.254196.90.255.25532,766
55196.91.0.0/17196.91.0.1 to 196.91.127.254196.91.127.25532,766
56196.91.128.0/17196.91.128.1 to 196.91.255.254196.91.255.25532,766
57196.92.0.0/17196.92.0.1 to 196.92.127.254196.92.127.25532,766
58196.92.128.0/17196.92.128.1 to 196.92.255.254196.92.255.25532,766
59196.93.0.0/17196.93.0.1 to 196.93.127.254196.93.127.25532,766
60196.93.128.0/17196.93.128.1 to 196.93.255.254196.93.255.25532,766
61196.94.0.0/17196.94.0.1 to 196.94.127.254196.94.127.25532,766
62196.94.128.0/17196.94.128.1 to 196.94.255.254196.94.255.25532,766
63196.95.0.0/17196.95.0.1 to 196.95.127.254196.95.127.25532,766
64196.95.128.0/17196.95.128.1 to 196.95.255.254196.95.255.25532,766
65196.96.0.0/17196.96.0.1 to 196.96.127.254196.96.127.25532,766
66196.96.128.0/17196.96.128.1 to 196.96.255.254196.96.255.25532,766
67196.97.0.0/17196.97.0.1 to 196.97.127.254196.97.127.25532,766
68196.97.128.0/17196.97.128.1 to 196.97.255.254196.97.255.25532,766
69196.98.0.0/17196.98.0.1 to 196.98.127.254196.98.127.25532,766
70196.98.128.0/17196.98.128.1 to 196.98.255.254196.98.255.25532,766
71196.99.0.0/17196.99.0.1 to 196.99.127.254196.99.127.25532,766
72196.99.128.0/17196.99.128.1 to 196.99.255.254196.99.255.25532,766
73196.100.0.0/17196.100.0.1 to 196.100.127.254196.100.127.25532,766
74196.100.128.0/17196.100.128.1 to 196.100.255.254196.100.255.25532,766
75196.101.0.0/17196.101.0.1 to 196.101.127.254196.101.127.25532,766
76196.101.128.0/17196.101.128.1 to 196.101.255.254196.101.255.25532,766
77196.102.0.0/17196.102.0.1 to 196.102.127.254196.102.127.25532,766
78196.102.128.0/17196.102.128.1 to 196.102.255.254196.102.255.25532,766
79196.103.0.0/17196.103.0.1 to 196.103.127.254196.103.127.25532,766
80196.103.128.0/17196.103.128.1 to 196.103.255.254196.103.255.25532,766
81196.104.0.0/17196.104.0.1 to 196.104.127.254196.104.127.25532,766
82196.104.128.0/17196.104.128.1 to 196.104.255.254196.104.255.25532,766
83196.105.0.0/17196.105.0.1 to 196.105.127.254196.105.127.25532,766
84196.105.128.0/17196.105.128.1 to 196.105.255.254196.105.255.25532,766
85196.106.0.0/17196.106.0.1 to 196.106.127.254196.106.127.25532,766
86196.106.128.0/17196.106.128.1 to 196.106.255.254196.106.255.25532,766
87196.107.0.0/17196.107.0.1 to 196.107.127.254196.107.127.25532,766
88196.107.128.0/17196.107.128.1 to 196.107.255.254196.107.255.25532,766
89196.108.0.0/17196.108.0.1 to 196.108.127.254196.108.127.25532,766
90196.108.128.0/17196.108.128.1 to 196.108.255.254196.108.255.25532,766
91196.109.0.0/17196.109.0.1 to 196.109.127.254196.109.127.25532,766
92196.109.128.0/17196.109.128.1 to 196.109.255.254196.109.255.25532,766
93196.110.0.0/17196.110.0.1 to 196.110.127.254196.110.127.25532,766
94196.110.128.0/17196.110.128.1 to 196.110.255.254196.110.255.25532,766
95196.111.0.0/17196.111.0.1 to 196.111.127.254196.111.127.25532,766
96196.111.128.0/17196.111.128.1 to 196.111.255.254196.111.255.25532,766
97196.112.0.0/17196.112.0.1 to 196.112.127.254196.112.127.25532,766
98196.112.128.0/17196.112.128.1 to 196.112.255.254196.112.255.25532,766
99196.113.0.0/17196.113.0.1 to 196.113.127.254196.113.127.25532,766
100196.113.128.0/17196.113.128.1 to 196.113.255.254196.113.255.25532,766
101196.114.0.0/17196.114.0.1 to 196.114.127.254196.114.127.25532,766
102196.114.128.0/17196.114.128.1 to 196.114.255.254196.114.255.25532,766
103196.115.0.0/17196.115.0.1 to 196.115.127.254196.115.127.25532,766
104196.115.128.0/17196.115.128.1 to 196.115.255.254196.115.255.25532,766
105196.116.0.0/17196.116.0.1 to 196.116.127.254196.116.127.25532,766
106196.116.128.0/17196.116.128.1 to 196.116.255.254196.116.255.25532,766
107196.117.0.0/17196.117.0.1 to 196.117.127.254196.117.127.25532,766
108196.117.128.0/17196.117.128.1 to 196.117.255.254196.117.255.25532,766
109196.118.0.0/17196.118.0.1 to 196.118.127.254196.118.127.25532,766
110196.118.128.0/17196.118.128.1 to 196.118.255.254196.118.255.25532,766
111196.119.0.0/17196.119.0.1 to 196.119.127.254196.119.127.25532,766
112196.119.128.0/17196.119.128.1 to 196.119.255.254196.119.255.25532,766
113196.120.0.0/17196.120.0.1 to 196.120.127.254196.120.127.25532,766
114196.120.128.0/17196.120.128.1 to 196.120.255.254196.120.255.25532,766
115196.121.0.0/17196.121.0.1 to 196.121.127.254196.121.127.25532,766
116196.121.128.0/17196.121.128.1 to 196.121.255.254196.121.255.25532,766
117196.122.0.0/17196.122.0.1 to 196.122.127.254196.122.127.25532,766
118196.122.128.0/17196.122.128.1 to 196.122.255.254196.122.255.25532,766
119196.123.0.0/17196.123.0.1 to 196.123.127.254196.123.127.25532,766
120196.123.128.0/17196.123.128.1 to 196.123.255.254196.123.255.25532,766
121196.124.0.0/17196.124.0.1 to 196.124.127.254196.124.127.25532,766
122196.124.128.0/17196.124.128.1 to 196.124.255.254196.124.255.25532,766
123196.125.0.0/17196.125.0.1 to 196.125.127.254196.125.127.25532,766
124196.125.128.0/17196.125.128.1 to 196.125.255.254196.125.255.25532,766
125196.126.0.0/17196.126.0.1 to 196.126.127.254196.126.127.25532,766
126196.126.128.0/17196.126.128.1 to 196.126.255.254196.126.255.25532,766
127196.127.0.0/17196.127.0.1 to 196.127.127.254196.127.127.25532,766
128196.127.128.0/17196.127.128.1 to 196.127.255.254196.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses